package org.richfaces.bug.beans;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Collection;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import java.util.logging.Logger;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;
import javax.faces.event.AjaxBehaviorEvent;

import org.richfaces.component.UIExtendedDataTable;


@ManagedBean (name="carBean")
@ViewScoped
public class CarBean implements Serializable{
	private static final Logger logger = Logger.getLogger(CarBean.class.getName());
	

	private List<CarDo> carList = new ArrayList<CarDo>();
	private Collection<Object> selection;
	private String sortMode="single";
	private String selectionMode="single";
	private String tableState;
	


	
	
	
	/**
	 * @return the tableState
	 */
	public String getTableState() {
		return tableState;
	}

	/**
	 * @param tableState the tableState to set
	 */
	public void setTableState(String tableState) {
		this.tableState = tableState;
	}

	/**
	 * @return the sortMode
	 */
	public String getSortMode() {
		return sortMode;
	}

	/**
	 * @param sortMode the sortMode to set
	 */
	public void setSortMode(String sortMode) {
		this.sortMode = sortMode;
	}

	/**
	 * @return the selectionMode
	 */
	public String getSelectionMode() {
		return selectionMode;
	}

	/**
	 * @param selectionMode the selectionMode to set
	 */
	public void setSelectionMode(String selectionMode) {
		this.selectionMode = selectionMode;
	}

	/**
	 * @return the selection
	 */
	public Collection <Object> getSelection() {
		return selection;
	}

	/**
	 * @param selection the selection to set
	 */
	public void setSelection(Collection <Object> selection) {
		this.selection = selection;
	}


	public void populateCarList(){
		CarDo car1 = new CarDo();
		car1.setName("John's Car");
		car1.setCondition("Good");
		car1.setMake("Toyota");
		car1.setModel("Camery");
		Calendar cal = Calendar.getInstance();
		cal.set(2010, 1, 1);
		cal.getTime();
		car1.setYear(cal.getTime());
		carList.add(car1);
		
		CarDo car2 = new CarDo();
		car2.setName("Katy's Car");
		car2.setCondition("Good");
		car2.setMake("Toyota");
		car2.setModel("Camery");
		Calendar myCal = Calendar.getInstance();
		myCal.set(2011, 1, 1);
		car2.setYear(myCal.getTime());
		
		carList.add(car2);
		
		
		
	}
	
	/**
	 * @return the substationResults
	 */
	public List<CarDo> getCarList() {
		return carList;
	}

	/**
	 * @param substationResults the substationResults to set
	 */
	public void setCarList(List<CarDo> carList) {
		this.carList = carList;
	}
	



}
